const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Dr_cla_permission = sequelize.define('dr_cla_permission', {
  id: { type: Sequelize.STRING(32), allowNull: false, primaryKey: true, comment: ''},
  doctor_id: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '医生ID'},
  pass: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '菜单ID   其他控制类型'},
  type: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: '权限控制类型 1,菜单 2,其他'},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: false,
  updatedAt: false,
});

Dr_cla_permission.sync({ force: false }).then(function() {});

export default Dr_cla_permission;
/**
 create sql
 CREATE TABLE `dr_cla_permission` (
  `id` varchar(32) NOT NULL,
  `doctor_id` varchar(255) DEFAULT NULL COMMENT '医生ID',
  `pass` varchar(255) DEFAULT NULL COMMENT '菜单ID   其他控制类型',
  `type` varchar(50) DEFAULT NULL COMMENT '权限控制类型 1,菜单 2,其他',
  PRIMARY KEY (`id`),
  KEY `permiss-docid` (`doctor_id`),
  KEY `dr_pass` (`pass`) USING BTREE,
  KEY `dr_type` (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8
*/
