const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Exam_project = sequelize.define('exam_project', {
  id: { type: Sequelize.STRING(32), allowNull: false, primaryKey: true, defaultValue: '', comment: ''},
  name: { type: Sequelize.STRING(200), allowNull: true, primaryKey: false, comment: '检查项目名称'},
  exam_class_id: { type: Sequelize.STRING(20), allowNull: true, primaryKey: false, comment: ''},
  status: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, defaultValue: '0', comment: '删除状态'},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: false,
  updatedAt: false,
});

Exam_project.sync({ force: false }).then(function() {});

export default Exam_project;
/**
 create sql
 CREATE TABLE `exam_project` (
  `id` varchar(32) NOT NULL DEFAULT '',
  `name` varchar(200) DEFAULT NULL COMMENT '检查项目名称',
  `exam_class_id` varchar(20) DEFAULT NULL,
  `status` varchar(255) DEFAULT '0' COMMENT '删除状态',
  PRIMARY KEY (`id`),
  KEY `eproject-examclass` (`exam_class_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='检查项目表'
*/
