const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Exam_class = sequelize.define('exam_class', {
  id: { type: Sequelize.STRING(32), allowNull: false, primaryKey: true, comment: ''},
  institution_id: { type: Sequelize.STRING(32), allowNull: true, primaryKey: false, comment: '医院id'},
  name: { type: Sequelize.STRING(200), allowNull: true, primaryKey: false, comment: '检查类别名称'},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: false,
  updatedAt: false,
});

Exam_class.sync({ force: false }).then(function() {});

export default Exam_class;
/**
 create sql
 CREATE TABLE `exam_class` (
  `id` varchar(32) NOT NULL,
  `institution_id` varchar(32) DEFAULT NULL COMMENT '医院id',
  `name` varchar(200) DEFAULT NULL COMMENT '检查类别名称',
  PRIMARY KEY (`id`),
  KEY `eclass-institution` (`institution_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='检查类别表格'
*/
