const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Sys_menus = sequelize.define('sys_menus', {
  id: { type: Sequelize.STRING(32), allowNull: false, primaryKey: true, comment: '??'},
  pid: { type: Sequelize.STRING(32), allowNull: true, primaryKey: false, comment: '父类id'},
  name: { type: Sequelize.STRING(100), allowNull: true, primaryKey: false, comment: '菜单名'},
  url: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '地址'},
  ordernum: { type: Sequelize.INTEGER(11), allowNull: true, primaryKey: false, comment: '排序号'},
  target: { type: Sequelize.STRING(100), allowNull: true, primaryKey: false, comment: '是否弹出'},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: 'createdAt',
  updatedAt: 'updatedAt',
});

Sys_menus.sync({ force: false }).then(function() {});

export default Sys_menus;
/**
 create sql
 CREATE TABLE `sys_menus` (
  `id` varchar(32) NOT NULL COMMENT '??',
  `pid` varchar(32) DEFAULT NULL COMMENT '父类id',
  `name` varchar(100) DEFAULT NULL COMMENT '菜单名',
  `url` varchar(255) DEFAULT NULL COMMENT '地址',
  `ordernum` int(11) DEFAULT NULL COMMENT '排序号',
  `target` varchar(100) DEFAULT NULL COMMENT '是否弹出',
  PRIMARY KEY (`id`),
  KEY `smenu-pid` (`pid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='系统菜单'
*/
