import {
  Bbs as OldBbs,
  Bodypart as OldBodypart,
  Constant as OldConstant,
  Default_cost as OldDefault_cost,
  Department as OldDepartment,
  Device as OldDevice,
  Doctor_class as OldDoctor_class,
  Doctors as OldDoctors,
  Dr_cla_permission as OldDr_cla_permission,
  Every_studies as OldEvery_studies,
  Exam_class as OldExam_class,
  Exam_project as OldExam_project,
  Exam_subclass as OldExam_subclass,
  Exams as OldExams,
  Images as OldImages,
  Institution as OldInstitution,
  Manager as OldManager,
  Menu as OldMenu,
  Messages as OldMessages,
  Open_application as OldOpen_application,
  Operating as OldOperating,
  Oss_callbacks as OldOss_callbacks,
  Patient_infos as OldPatient_infos,
  Remote_application as OldRemote_application,
  Remote_contact as OldRemote_contact,
  Remote_cost as OldRemote_cost,
  Remote_order as OldRemote_order,
  Remote_water as OldRemote_water,
  Remote_water_log as OldRemote_water_log,
  Report as OldReport,
  Report_record as OldReport_record,
  Send_message as OldSend_message,
  Series as OldSeries,
  Studies as OldStudies,
  Sys_logs as OldSys_logs,
  Sys_menus as OldSys_menus,
  Templates as OldTemplates,
  User as OldUser,
  User_bind as OldUser_bind,
  Version as OldVersion,
  Wechat_bind as OldWechat_bind,
  Wechat_pay_log as OldWechat_pay_log,
  Wechat_refund_log as OldWechat_refund_log
} from '../../old_dao'


import {
  Bbs as TestBbs,
  Bodypart as TestBodypart,
  Constant as TestConstant,
  Default_cost as TestDefault_cost,
  Department as TestDepartment,
  Device as TestDevice,
  Doctor_class as TestDoctor_class,
  Doctors as TestDoctors,
  Dr_cla_permission as TestDr_cla_permission,
  Every_studies as TestEvery_studies,
  Exam_class as TestExam_class,
  Exam_project as TestExam_project,
  Exam_subclass as TestExam_subclass,
  Exams as TestExams,
  Images as TestImages,
  Institution as TestInstitution,
  Manager as TestManager,
  Menu as TestMenu,
  Messages as TestMessages,
  Open_application as TestOpen_application,
  Operating as TestOperating,
  Oss_callbacks as TestOss_callbacks,
  Patient_infos as TestPatient_infos,
  Remote_application as TestRemote_application,
  Remote_contact as TestRemote_contact,
  Remote_cost as TestRemote_cost,
  Remote_order as TestRemote_order,
  Remote_water as TestRemote_water,
  Remote_water_log as TestRemote_water_log,
  Report as TestReport,
  Report_record as TestReport_record,
  Send_message as TestSend_message,
  Series as TestSeries,
  Studies as TestStudies,
  Sys_logs as TestSys_logs,
  Sys_menus as TestSys_menus,
  Templates as TestTemplates,
  User as TestUser,
  User_bind as TestUser_bind,
  Version as TestVersion,
  Wechat_bind as TestWechat_bind,
  Wechat_pay_log as TestWechat_pay_log,
  Wechat_refund_log as TestWechat_refund_log
} from '../../test_dao';
// exam
// register 
// messages is_remote exam_id
// remote_application
// report

// 新增 register
// Exams
// Images
// await copy(OldMessages, TestMessages, 'id'); // doctor_id 相等是2
// Patient_infos
// Remote_application
// Report as TestReport,
// Series as TestSeries,
// Studies as TestStudies,

import Sequelize from 'sequelize'
export async function normalLimit(ctx) {
  // await copyLimit(OldMessages, TestMessages, 'id');
  // await copyLimit(OldRemote_application, TestRemote_application, 'id');

  await copyLimit(OldImages, TestImages, 'id');
  // await copyLimit(OldSeries, TestSeries, 'id');
  // await copyLimit(OldStudies, TestStudies, 'id');
  // await copyLimit(OldPatient_infos, TestPatient_infos, 'id');
}

export async function normal(ctx) {
  // Bbs
  await copy(OldBbs, TestBbs, 'id', 'bbs');
  // Bodypart
  await copy(OldBodypart, TestBodypart, 'id', 'bodypart');
  // Constant
  await copy(OldConstant, TestConstant, 'id', 'constant');
  // Default_cost
  await copy(OldDefault_cost, TestDefault_cost, 'id', 'default_cost');
  // Department
  await copy(OldDepartment, TestDepartment, 'id', '');
  // Device
  await copy(OldDevice, TestDevice, 'id');
  // Doctor_class
  await copy(OldDoctor_class, TestDoctor_class, 'id');
  // Doctors
  await copy(OldDoctors, TestDoctors, 'id');
  // Dr_cla_permission
  await copy(OldDr_cla_permission, TestDr_cla_permission, 'id');
  // Every_studies
  await copy(OldEvery_studies, TestEvery_studies, 'id');
  // Exam_class
  await copy(OldExam_class, TestExam_class, 'id');
  // Exam_project
  await copy(OldExam_project, TestExam_project, 'id');
  // Exam_subclass
  await copy(OldExam_subclass, TestExam_subclass, 'id');
  // Institution
  await copy(OldInstitution, TestInstitution, 'id');
  // Menu as TestMenu,
  await copy(OldMenu, TestMenu, 'id');
  // Messages as TestMessages,
  await copy(OldManager, TestManager, 'id');
  // Open_application as TestOpen_application,
  await copy(OldOpen_application, TestOpen_application, 'id');
  // Operating as TestOperating,
  await copy(OldOperating, TestOperating, 'id');
  // Remote_contact as TestRemote_contact,
  await copy(OldRemote_contact, TestRemote_contact, 'id');
  // Remote_cost as TestRemote_cost,
  await copy(OldRemote_cost, TestRemote_cost, 'id');
  // Remote_order as TestRemote_order,
  await copy(OldRemote_order, TestRemote_order, 'id');
  // Remote_water as TestRemote_water,
  await copy(OldRemote_water, TestRemote_water, 'id');
  // Remote_water_log as TestRemote_water_log,
  await copy(OldRemote_water_log, TestRemote_water_log, 'id');
  // Report_record as TestReport_record,
  await copy(OldReport_record, TestReport_record, 'id');
  // Send_message as TestSend_message,
  await copy(OldSend_message, TestSend_message, 'id');
  // Sys_logs as TestSys_logs,
  await copy(OldSys_logs, TestSys_logs, 'id');
  // Sys_menus as TestSys_menus,
  await copy(OldSys_menus, TestSys_menus, 'id');
  // Templates as TestTemplates,
  await copy(OldTemplates, TestTemplates, 'id');
  // User as TestUser,
  await copy(OldUser, TestUser, 'id');
  // User_bind as TestUser_bind,
  await copy(OldUser_bind, TestUser_bind, 'id');
  // Version as TestVersion,
  await copy(OldVersion, TestVersion, 'id');
  // Wechat_bind as TestWechat_bind,
  await copy(OldWechat_bind, TestWechat_bind, 'id');
  // Wechat_pay_log as TestWechat_pay_log,
  await copy(OldWechat_pay_log, TestWechat_pay_log, 'id');
  // Wechat_refund_log as TestWechat_refund_log
  await copy(OldWechat_refund_log, TestWechat_refund_log, 'id');
}

async function copy(oldDb, newDb, key) {
  if (!newDb) {
    return
  }
  let olds = await oldDb.findAll();

  for (let i = 0; i < olds.length; i++) {
    const where = {};
    where[key] = olds[i][key];
    console.log('where', where, newDb)
    const old = await newDb.findOne({ where });

    if (!old) {
      console.log(olds[i].dataValues)
      newDb.create({...olds[i].dataValues });
    }
  }
}
const Op = Sequelize.Op;
async function copyLimit(oldDb, newDb, key) {
  if (!newDb) {
    return
  }
  let createdAt = null;
  let id = null;
  const limit = 1000;
  const order = [
    ['id', 'asc']
  ];

  let olds = await oldDb.findAll({ limit, order });
  while (olds && olds.length) {
    for (let i = 0; i < olds.length; i++) {
      const where = {};
      where[key] = olds[i][key];

      const old = await newDb.findOne({ where });
      if (!old) {
        console.log(olds[i].dataValues)
        let obj = {...olds[i].dataValues };
        if (!obj.size) {
          obj.size = 0;
        }
        newDb.create(obj);
      }
      if (olds[i].id) {
        id = olds[i].id;
      }
      console.log('where', where, newDb, olds[i], createdAt, { where: { id: { "$gte": id } } })
    }
    olds = await oldDb.findAll({
      where: {
        id: {
          [Sequelize.Op.gt]: id
        }
      },
      limit,
      order
    });
  }
}


// 2.0      
// bbs  表          （对话表）
//   initiator（发起人）    关联  doctor  表id
//   remote_application_id        申请单id    关联  remote_application表id
// doctor_class表      （医生类别表）
// doctor_id  医生id
// department_id  科室id      关联department
// doctors表    （医生表）
// department_id  科室id
// exams表    （检查表）
// patient_id  患者id
// study_id
// messages表    （消息表）
// doctor_id  所属医生id
// application_id  申请单id
// remote_application  （申请单表）
// remote_doctor_id  申请的目标医生
// req_doctor_id  申请医生
// exam_id    检查表id
// report表    （报告表）
// exam_id  检查表id	
// report_doctor_id  报告医生id
// review_doctor_id  审核医生id
// confirm_doctor_id    确认医生id
// remote_application_id    申请单id
// report_record  （报告记录表）
// report_id    报告表id	
// -----------------------------------------------------------------------------------------------------------------------------------------
// 3.0
// 新增
// register表
// exam_id  检查表id
// technician_id    检查技师ID
// register_id	登记医师ID
// clin_doctors_id	送诊医生ID

// remote_application表
// 附加  local_institution_name  申请医院
// 附加  req_doctor_name    邀请方医生
// 附加    remote_institution_name  受邀方医院
// 附加  remote_doctor_name受邀方医生

// report  表
// 附加  report_doctor_name  报告医生姓名
// 附加  review_doctor_name  审核医生姓名
// 附加  confirm_doctor_id  确认医生姓名

// remote_application
//     accession_num
//     exam_project
//     exam_sub_class
//     body_part
//     birthday
//     card_num  
//     study_id
// doctors  表  新加字段
// messages 表 新加字段
