const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Version = sequelize.define('version', {
  id: { type: Sequelize.INTEGER(11), allowNull: false, primaryKey: true, comment: ''},
  version: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: ''},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: false,
  updatedAt: false,
});

Version.sync({ force: false }).then(function() {});

export default Version;
/**
 create sql
 CREATE TABLE `version` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `version` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8
*/
