const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Exam_subclass = sequelize.define('exam_subclass', {
  id: { type: Sequelize.STRING(32), allowNull: false, primaryKey: true, comment: ''},
  name: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '子类名称'},
  exam_class_id: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: ''},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: false,
  updatedAt: false,
});

Exam_subclass.sync({ force: false }).then(function() {});

export default Exam_subclass;
/**
 create sql
 CREATE TABLE `exam_subclass` (
  `id` varchar(32) NOT NULL,
  `name` varchar(255) DEFAULT NULL COMMENT '子类名称',
  `exam_class_id` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `esubclass-eclass` (`exam_class_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8
*/
