const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Send_message = sequelize.define('send_message', {
  id: { type: Sequelize.INTEGER(10), allowNull: false, primaryKey: true, comment: '' },
  phone: { type: Sequelize.STRING(100), allowNull: true, primaryKey: false, comment: '' },
  type: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '' },
  doctor: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '' },
  content: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '' },
}, {
  freezeTableName: true,
  charset: 'utf8',
  createdAt: false,
  updatedAt: false,
});

Send_message.sync({ force: false }).then(function() {});

export default Send_message;
/**
 create sql
 CREATE TABLE `send_message` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `phone` varchar(100) DEFAULT NULL,
  `type` varchar(255) DEFAULT NULL,
  `doctor` varchar(255) DEFAULT NULL,
  `content` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1676 DEFAULT CHARSET=utf8
*/
